package ch.unibe.iam.scg.minijava;

import ch.unibe.iam.scg.javacc.ParseException;
import ch.unibe.iam.scg.minijava.ast.AstNode;

/**
 * Please, do not change this interface.
 * Let me know, if you need to change it by sending email to 
 * cc-staff@iam.unibe.ch
 * 
 * @author kursjan
 *
 */
public interface MiniJava
{

    public AstNode Goal() throws ParseException;
    
    public AstNode MainClass() throws ParseException;

    public AstNode ClassDeclaration() throws ParseException;

    public AstNode VarDeclaration() throws ParseException;

    public AstNode MethodDeclaration() throws ParseException;

    public AstNode Type() throws ParseException;

    public AstNode Statement() throws ParseException;

    public AstNode Expression() throws ParseException;

    public AstNode Identifier() throws ParseException;
}
